EDIT - bug #8516

Specimen editor (list) can not find FieldUnits with data only in protected titleCache
09/03/2019 06:49 PM - Andreas Kohlbecker

Status: Feedback Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%

Category: taxeditor Estimated time: 0:00 hour

Target version: Unassigned CDM tickets

Severity: normal Found in Version:

Description

while the Specimen editor (list) misses finding the below shown FielUnits the Specimen editor (tree) finds them very well:

EDIT Taxonomic Editor 5.9.1 admin@edit-WS Il:cdmserver/phycobank_01

Nal||Names E: Specimen Editor (tree)

My
- Taxon = 0 Taxon assignment | All -
ph
Title Cache | OK-1 1788 Derivative Type | Unknown unit type ¥ || Search
[ot

P 3 Sample Slide OK-1 1788bl- (1); film PF31-28, PF31-29, PF-31-30. - Eocene (OK-1 well, 1788 m).
» % Sample slide OK-1 1788-(1); film PF33-30, PF33-31, PF33-32. - Eocene (OK-1 well, 1788 m).

» #¢slide OK-1 1788-(5); film PF42-26, PF42-47; PF42-48. - Eocene (OK-1 well, 1788 m).

» #¢Slide OK-1 1788-(5); film W58-10, W58-11. - Eocene (OK-1 well, 1788 m).

» H¢slide OK-1 1788-bl-(2); film W52-18, W52-19. - Eocene (OK-1 well, 1788 m).

» #Slide OK-1 1788-bl-(2); film W52-24, W52-25, W52-26. - Eocene (OK-1 well, 1788 m).

b 3¢ Slide OK-1 1788-bl-(4); film PF41-23, PF41-24, PF41-25. - Eocene (OK-1 well, 1788 m).

b #slide OK-1 1788bl-(1); film PF32-15, PF32-16, PF32-17. - Eocene (OK-1 well, 1788 m).

Specimen Editor (list) 23

Title Cache  OK-1 1788 Search

Specimens and Observations & Publish Country Collector Field N |[|5
History

#1 - 09/03/2019 06:50 PM - Andreas Kohlbecker
- File picture209-1.png added

- Description updated

#2 - 09/03/2019 06:51 PM - Andreas Kohlbecker
- File deleted (picture617-1.png)

#3 - 09/04/2019 03:21 PM - Andreas Miiller

- Status changed from New to Feedback

Have you tried with Asterisk search. The specimen bulk editor like all bulk editor do only an exact search. The specimen tree editor searches on
different fields.

| don't think this is related to protected title caches.
| suggest to close as Worksforme or won'tfix. If not please give back to PP who is responsible for specimen tree editor.

#4 - 09/04/2019 03:22 PM - Andreas Miuller

- Assignee changed from Andreas Mtiller to Andreas Kohlbecker

#5 - 09/04/2019 04:27 PM - Andreas Kohlbecker
- Assignee changed from Andreas Kohlbecker to Patrick Plitzner
Andreas Muller wrote:

Have you tried with Asterisk search. The specimen bulk editor like all bulk editor do only an exact search. The specimen tree editor searches on
different fields.

| suggest to close as Worksforme or won'tfix. If not please give back to PP who is responsible for specimen tree editor.
Even if | was pretty sure | did all the tests again. Even with magic wildcard characters it was not possible to get any results in the "Specimen editor
(list)". | tried the following patterns: 'OK-1 1788, 'OK-1 1788%', 'OK-1 17887
So | pass this issue to Patrick.
Your suggestion raises another question: "Why is the behavior of two apparently similar search functions, so much different?" | consider this a

usability problem. Either the search functions are behaving the same in the different parts of an application or this must be made clear. Do we have a
master ticket for UX problems? | would like to file this issue somewhere.

#6 - 09/05/2019 10:02 PM - Andreas Miuller
Andreas Kohlbecker wrote:
Andreas Muller wrote:

Have you tried with Asterisk search. The specimen bulk editor like all bulk editor do only an exact search. The specimen tree editor
searches on different fields.

| suggest to close as Worksforme or won'tfix. If not please give back to PP who is responsible for specimen tree editor.
Even if | was pretty sure | did all the tests again. Even with magic wildcard characters it was not possible to get any results in the "Specimen
editor (list)". | tried the following patterns: 'OK-1 1788*', 'OK-1 1788%', 'OK-1 17887".
Have you tried with *OK.... This is what an exact search expects, if the searched record does NOT start with "OK".
All the rest needs to be discussed and definetely the search functionality in the bulkeditors needs a lot of improvement. But also have in minde, that

Specimen (Tree) Editor is something very different to the Specimen (list) editor even if it looks similar. No time to search UX ticket, but | think there is
something.

#7 - 09/06/2019 02:19 PM - Andreas Kohlbecker
- Tags set to Usability, UX
correct the * at the beginning of the search term helps.

| suggest renaming this issue to "improve and harmonize UX of bulk editor search function" or | there already a similar ticket.
Once the meta UX ticket is found we can link or copy the details of this one.

#8 - 11/25/2019 02:45 PM - Andreas Miiller

- Assignee changed from Patrick Plitzner to Katja Luther

Files

picture209-1.png 85.9 KB 09/03/2019 Andreas Kohlbecker
